#ifndef _NSTRUCT_MSGCODES_H
#define _NSTRUCT_MSGCODES_H

#ifdef	__cplusplus
extern "C"
{
#endif

#define	STRUCT_OK                 0x0000    // no error
#define	STRUCT_MEM                0x0001    // memory error
#define	STRUCT_MATH_ERR           0x0002    // mathematics error
#define	STRUCT_ILL_COND           0x0004    // ill conditioned system
#define	STRUCT_TOO_MUCH           0x0008    // too much unknowns
#define	STRUCT_USR_STOP           0x0010    // user stop
#define	STRUCT_NOT_FOUND          0x0020    // no solution found
#define	STRUCT_USR_ELAST          0x0040    // non valid elastic forces defined by user
#define	STRUCT_USR_CONST          0x0080    // non valid constraints defined by user
#define	STRUCT_ERR                0x0100    // unknown error
#define	STRUCT_THR	          0x0200    // thread error

#define	MinCode	0
#define	MaxCode	10

typedef	struct
{
	longword code;
	char* mess;
} TStructError;

char* GetStrError (longword, char*);

#ifdef	__cplusplus
}
#endif

#endif // _NSTRUCT_MSGCODES_H