#include <string.h>
#include <stdio.h>
#include "NStruct_Header.h"
#include "NStruct_MsgCodes.h"


TStructError	ErrorCodes [MaxCode + 1] = 
				{STRUCT_OK, "no error",
				 STRUCT_MEM, "memory error",
				 STRUCT_MATH_ERR, "mathematics error",
				 STRUCT_ILL_COND, "ill conditioned system",
				 STRUCT_TOO_MUCH, "too much unknowns",
				 STRUCT_USR_STOP, "user stop",
				 STRUCT_NOT_FOUND, "no solution found",
				 STRUCT_USR_ELAST, "non valid elastic forces defined by user",
				 STRUCT_USR_CONST, "non valid constraints defined by user",
				 STRUCT_ERR, "unknown error",
				 STRUCT_THR, "thread error"
				};


char* GetStrError (longword cde, char* st)
{
	longword	i, c;

	strcpy (st, "");
	if (cde == STRUCT_OK) strcpy (st, ErrorCodes [MinCode].mess);
	else
		for (i = MinCode + 1; i <= MaxCode; i++)
		{
			c = cde & ErrorCodes [i].code;
			if (c == ErrorCodes [i].code)
				if (strcmp (st,""))
				{
					strcat (st, " + ");
					strcat (st, ErrorCodes [i].mess);
				}
				else strcat (st, ErrorCodes [i].mess);
			else;
		}
		
	return (char*) st;
}